// 标准管理 核查类型
const INSPECTION_TYPE = {
  FORMAT_ADD: 'patrol/inspectionType/format/Add', // 业态/新增
  COREPARAMS_ADD: 'patrol/inspectionType/CoreParams/Add', // 核心参数/新增
  COREPARAMS_EDIT: 'patrol/inspectionType/CoreParams/Edit', // 核心参数/编辑
  COREPARAMS_QUERY: 'patrol/inspectionType/CoreParams/Query', // 核心参数/查看
  COREPARAMS_DELETE: 'patrol/inspectionType/CoreParams/Delete', // 核心参数/删除
  SYS_ADD: 'patrol/inspectionType/Sys/Add', // 核查类型/新增
  SYS_EDIT: 'patrol/inspectionType/Sys/Edit', // 核查类型/编辑
  SYS_DELETE: 'patrol/inspectionType/Sys/Delete', // 核查类型/删除
  LEVEL_ADD: 'patrol/inspectionType/Level/Add', // 巡逻点类型/新增
  LEVEL_EDIT: 'patrol/inspectionType/Level/Edit', // 巡逻点类型/编辑
  LEVEL_DELETE: 'patrol/inspectionType/Level/Delete' // 巡逻点类型/删除
}
// 核查标准
const INSPECTION_STANDARD = {
  SELECT: 'patrol/inspectionStandard/select', // 菜单权限
  SYS_ADD: 'patrol/inspectionStandard/Sys/Add', // 新增
  CRAFT_EDIT: 'patrol/inspectionStandard/Craft/Edit', // 编辑
  CRAFT_DELETE: 'patrol/inspectionStandard/Craft/Delete', // 删除
  GUARDTOURFORM_ADD: 'patrol/inspectionStandard/GuardtourForm/Add', // 步骤新增
  GUARDTOURFORM_DELETE: 'patrol/inspectionStandard/GuardtourForm/Delete', // 步骤删除
  ASSOCIATION_TYPE: 'patrol/inspectionStandard/AssociationType', // 关联类型
  BATCH_IMPORT: 'patrol/inspectionStandard/BatchImport', // 批量导入
  EXPORT: 'patrol/inspectionStandard/Export' // 导出
}
// 空间管理 网格管理
const GRID_MANAGE = {
  SELECT: 'patrol/gridManage/select', // 菜单权限
  ADD_MECHANICAL_ROOM: 'patrol/gridManage/AddMechanicalRoom', // 新增网格
  EDIT_MECHANICAL_ROOM: 'patrol/gridManage/EditMechanicalRoom', // 编辑网格
  DEL_MECHANICAL_ROOM: 'patrol/gridManage/DelMechanicalRoom', // 删除网格
  REQR_CODE: 'patrol/gridManage/ReQRCode', // 重新生成二维码
  BATCH_IMPORT: 'patrol/gridManage/BatchImport', // 批量导入
  EXPORT: 'patrol/gridManage/Export' // 导出
}
// 巡逻点位置
const PATROL_POINT = {
  SELECT: 'patrol/patrolPoint/select', // 菜单权限
  DETAIL: 'patrol/patrolPoint/Detail', // 详情
  QRCODE: 'patrol/patrolPoint/QRCode', // 二维码
  DELETE: 'patrol/patrolPoint/Delete', // 删除
  ADD_DEVICE: 'patrol/patrolPoint/AddDevice', // 新增
  MERGE_QRCODE: 'patrol/patrolPoint/MergeQRCode', // 合并二维码
  BATCH_DETAIL: 'patrol/patrolPoint/BatchDetail', // 批量删除
  BATCH_EXPORT_QRCODE: 'patrol/patrolPoint/BatchExportQRCode', // 批量下载二维码
  BATCH_BUILD_QRCODE: 'patrol/patrolPoint/BatchBuildQRCode', // 批量删除
  BATCH_IMPORT: 'patrol/patrolPoint/BatchImport', // 批量导入
  EXPORT: 'patrol/patrolPoint/Export' // 导出
}
// 任务管理 计划模板
const PLAN_TEMPLATE = {
  SELECT: 'patrol/planTemplate/select', // 菜单权限
  DETAIL: 'patrol/planTemplate/Detail', // 详情
  DELETE: 'patrol/planTemplate/Delete', // 删除
  EDIT: 'patrol/planTemplate/Edit', // 编辑
  PAUSE_PLAN_TEMPLATE: 'patrol/planTemplate/PausePlanTemplate', // 启停
  MAKE_PLAN_TEMPLATE: 'patrol/planTemplate/MakePlanTemplate', // 生成任务
  ADD_PLAN_TEMPLATE: 'patrol/planTemplate/AddPlanTemplate', // 新增计划模板
  BATCH_DELETE: 'patrol/planTemplate/BatchDelete', // 批量删除
  BATCH_PAUSE: 'patrol/planTemplate/BatchPause', // 批量停用
  BATCH_OPEN: 'patrol/planTemplate/BatchOpen' // 批量启用
}
// 巡逻计划
const PATROL_PLAN = {
  SELECT: 'patrol/patrolPlan/select', // 菜单权限
  DETAIL: 'patrol/patrolPlan/Detail', // 详情
  RELEVANCE_PATROL_POINT: 'patrol/patrolPlan/RelevancePatrolPoint', // 关联巡逻点位
  PAUSE_PLAN: 'patrol/patrolPlan/PausePlan', // 暂停计划
  DEL_PLAN: 'patrol/patrolPlan/DelPlan', // 删除计划
  ADD_PLAN: 'patrol/patrolPlan/AddPlan', // 新增计划
  BATCH_DETAIL: 'patrol/patrolPlan/BatchDetail', // 批量删除
  HAND_MAKE_TASK: 'patrol/patrolPlan/HandMakeTask', // 手动生成任务
  EDIT_PLAN: 'patrol/patrolPlan/EditPlan', // 编辑计划
  BATCH_PAUSE_PLAN: 'patrol/patrolPlan/BatchPausePlan', // 批量暂停计划
  BATCH_OPEN_PLAN: 'patrol/patrolPlan/BatchOpenPlan', // 批量开启计划
  MODIFY_GRABBING_PLAN: 'patrol/patrolPlan/ModifyGrabbingPlan', // 修改抢单计划
  TEST_PLAN_STANDARD: 'patrol/patrolPlan/TestPlanStandard', // 检测计划标准
  EDIT_RESPONSIBLE_PERSON: 'patrol/patrolPlan/EditResponsiblePerson', // 修改负责人
  EDIT_TIME_RANGE: 'patrol/patrolPlan/EditTimeRange', // 修改频次时间段
  BATCH_IMPORT: 'patrol/patrolPlan/BatchImport', // 批量导入
  EXPORT: 'patrol/patrolPlan/Export', // 导出
  TEST_PLAN: 'patrol/patrolPlan/TestPlan' // 计划检查
}
// 核查任务
const PATROL_TASK = {
  SELECT: 'patrol/patrolTask/select', // 菜单权限
  QUERY: 'patrol/patrolTask/Query', // 查询
  DETAIL: 'patrol/patrolTask/Detail', // 详情
  DELETE: 'patrol/patrolTask/Delete', // 删除
  FORWARD: 'patrol/patrolTask/Forward', // 转发
  CLOSE_APPLY: 'patrol/patrolTask/CloseApply', // 申请关闭
  REMOVE: 'patrol/patrolTask/Remove', // 消单
  BATCH_DELETE: 'patrol/patrolTask/BatchDelete', // 批量删除
  EXPORT: 'patrol/patrolTask/Export', // 导出
  BATCH_PASS_APPLY: 'patrol/patrolTask/BatchPassApply', // 批量审核关闭
  BATCH_FORWARD: 'patrol/patrolTask/BatchForward', // 批量转发
  BATCH_REMOVE: 'patrol/patrolTask/BatchRemove' // 批量消单
}
// 系统报表
const SYSTEM_REPORT = {
  PROFESSIONAL: 'report/systemReport/ProfessionalExecution', // 专业执行统计
  INSPECTION: 'report/systemReport/InspectionStatistics', // 核查点统计统计
  MACHINE: 'report/systemReport/InspectionMachineStatistics', // 机房核查记录
  PROJECT_EXECUTION: 'report/systemReport/ProjectExecution', // 资产执行统计
  PLAN_EXECUTION: 'report/systemReport/PlanExecution', // 计划执行统计
  PERSON_EXECUTION: 'report/systemReport/PersonExecution' // 人员执行统计
}
export default
{
  INSPECTION_TYPE,
  INSPECTION_STANDARD,
  GRID_MANAGE,
  PATROL_POINT,
  PLAN_TEMPLATE,
  PATROL_PLAN,
  PATROL_TASK,
  SYSTEM_REPORT
}
