// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'
import Api from '@/api/index'
// RxJs
import VueRx from 'vue-rx'
import Rx from 'rxjs/Rx'
//  交互
import axios from 'axios'
import VueResource from 'vue-resource'
//  权限
import './permission'
import global_ from './global'
//  View UI
import ViewUI from 'view-design'
import 'view-design/dist/styles/iview.css'
//  Element UI
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
//  引入公共css样式
import '../static/css/public.scss'

import 'babel-polyfill'

//  地图
import VueAMap from 'vue-amap'
Vue.use(VueAMap)
VueAMap.initAMapApiLoader({
  key: 'c28897a569dbca6d4246652a3ddde338',
  plugin: ['AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType', 'AMap.PlaceSearch', 'AMap.Geolocation', 'AMap.Geocoder'],
  v: '1.4.15',
  uiVersion: '1.0'
})
//  View UI
Vue.use(ViewUI)
//  Element UI
Vue.use(ElementUI)
// RxJs
Vue.use(VueRx, Rx)
//  全局初始化 Axios
Vue.prototype.$axios = axios
//  ajax异步
Vue.use(VueResource)
Vue.prototype.api = Api
//  交互兼容json对象
Vue.http.options.emulateJSON = true

//  阻止 vue 在启动时生成生产提示
Vue.config.productionTip = false
//  开启debug模式
Vue.config.debug = true
//  阻止启动生产消息
Vue.config.productionTip = false
Vue.prototype.GLOBAL = global_

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
