// import {setStore, getStore, removeStore} from '@/utils/store'
import router from './router'
import {
  getToken
} from '@/utils/auth'
import store from '@/store'
import ViewUI from 'view-design'

router.beforeEach((to, from, next) => {
  ViewUI.LoadingBar.start()
  // console.log(to, 1111111111)
  const meta = to.meta || {}
  // 设置顶部标题
  store.state.common.heightTitle = to.name
  // Token 校验验证
  if (to.path == '/checkMeetingOrder') {
    next()
  } else if (localStorage.getItem('token')) {
    if (to.matched.length === 0) {
      next('/404')
    } else {
      next()
    }
  } else {
    if (meta.isAuth === false) {
      next()
    } else {
      next('/')
    }
  }
})

router.afterEach(() => {
  ViewUI.LoadingBar.finish()
})
