import Vue from 'vue'
import Router from 'vue-router'
Vue.use(Router)
/**
 * 重写路由的push方法
 */
const VueRouterPush = Router.prototype.push
Router.prototype.push = function push(to) {
  return VueRouterPush.call(this, to).catch(err => err)
}
export default new Router({
  routes: [{
    path: '/',
    name: '登录页',
    component: () => import('@/views/Login'),
    meta: {
      keepAlive: false,
      isTab: false,
      isAuth: false
    }
  }, {
    path: '/checkMeetingOrder',
    name: '会议预约详情',
    component: () => import('@/views/checkMeetingOrder'),
    meta: {
      keepAlive: false,
      isTab: false,
      isAuth: false
    }
  }, {
    path: '/index',
    name: 'Index',
    component: () => import('@/views/Index'),
    meta: {
      keepAlive: false,
      isTab: false,
      isAuth: true
    },
    children: [{
      path: '/404',
      name: '页面不存在',
      component: () => import('@/views/errorPage/404.vue'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/home',
      name: '首页',
      component: () => import('@/views/home/home'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/meetingRoomManage',
      name: '会议室管理',
      component: () => import('@/views/meetingRoomManage'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/meetingRoomOrder',
      name: '会议室预约管理',
      component: () => import('@/views/meetingRoomOrder'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/meetingRoomEquip',
      name: '会议室设施服务',
      component: () => import('@/views/meetingRoomEquip'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/meetingEvent',
      name: '会议室活动管理',
      component: () => import('@/views/meetingEvent'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }]
  }]
})
