import Api from '@/api'

const patrolPoint = {
  actions: {
    // 查询核查点列表
    getPatrol ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPatrol(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 获取点位类型下拉框（级别）
    getDeviceLevelTree ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDeviceLevelTree(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 新增核查点
    addPatrol ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.addPatrol(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 校验巡逻点位code和名字重复
    checkDeviceCodeAndName ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.checkDeviceCodeAndName(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 查询下拉框路址 资产id 必传
    getHouseAddr ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getHouseAddr(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 根据id查询巡逻点位详情
    getPatrolDetail ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPatrolDetail(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 下载单个二维码
    getQrCode ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getQrCode(object)
      })
    },
    // 根据id删除巡逻点位
    deleteDevice ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteDevice(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 批量删除巡逻点位
    deleteDeviceBatch ({commit}, list) {
      return new Promise((resolve, reject) => {
        Api.deleteDeviceBatch(list).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 批量下载二维码
    getAllQrCode ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAllQrCode(object)
      })
    },
    // 编辑核查点详情
    editDevice ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editDevice(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 重构二维码
    rebuildPatrolQrCode ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.rebuildPatrolQrCode(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 导出/下载网格
    exportPatrolTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.exportPatrolTemplate(object)
      })
    },
    // 获取核查点状态
    patrolPointRecord ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.patrolPointRecord(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 获取核查点操作日志
    getDeviceOperateLog ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDeviceOperateLog(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 导出核查点列表
    exportPatrolDevices ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.exportPatrolDevices(object)
      })
    }
  }
}
export default patrolPoint
