import Vue from 'vue'
import Vuex from 'vuex'
import * as getters from './getters'

// 公共数据
import common from './modules/common'
// 用户数据
import user from './modules/user'
// TODO
// 组织机构
import organize from '../service/organize/organize'
// 字典
import dictionary from '../service/dictionary/dictionary'
// 标准管理
import criterionManage from '../service/criterionManage/criterionManage'
// 空间管理
import spaceManage from '../service/spaceManage/spaceManage'
// 巡逻点位置
import patrolPoint from '../service/patrolPoint/patrolPoint'
// 计划管理
import task from '../service/task/task'
// 报表管理
import report from '../service/report/report'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    // 公共State
    common,
    user,
    // 统一修改—>Actions
    organize,
    dictionary,
    criterionManage,
    spaceManage,
    patrolPoint,
    report,
    task
  },
  // model主入口
  getters
})
