/**
 * 时间转日期
 * type 00: yy-mm-dd 00:00:00
 * type 59: yy-mm-dd 23:59:59
 * */
export function dateFormat (date, type) {
  if (type == '00') {
    let time = new Date(date)
    let Y = time.getFullYear() + '-'
    let M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
    let D = (time.getDate() < 10 ? ('0' + time.getDate()) : time.getDate()) + ' '
    let h = (time.getHours() < 10) ? '0' + time.getHours() + ':' : time.getHours() + ':'
    let m = (time.getMinutes() < 10) ? '0' + time.getMinutes() + ':' : time.getMinutes() + ':'
    let s = (time.getSeconds() < 10) ? '0' + time.getSeconds() : time.getSeconds()
    return Y + M + D + h + m + s
  } else {
    let date1 = new Date(new Date(new Date(date)).getTime() + 24 * 60 * 60 * 1000 - 1)
    return date1.getFullYear() + '-' + (date1.getMonth() + 1) + '-' + date1.getDate() + ' ' + date1.getHours() + ':' + date1.getMinutes() + ':' + date1.getSeconds()
  }
}

export function timeStamp (date) {
  let time = new Date(date)
  return time.valueOf()
}

export function getYyMmDdTimeStamp (date) {
  let time = new Date(date)
  let Y = time.getFullYear() + '-'
  let M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
  let D = time.getDate() + ' '
  return new Date(Y + M + D).valueOf()
}

export function conversionTime (date) {
  let time = new Date(date)
  let Y = time.getFullYear() + '-'
  let M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
  let D = (time.getDate() < 10 ? ('0' + time.getDate()) : time.getDate()) + ' '
  return Y + M + D
}

export function getThisMonthFirst (formateIcon) {
  let date = new Date();
  date.setDate(1);
  let month = parseInt(date.getMonth()+1);
  let day = date.getDate();
  if (month < 10) {
      month = '0' + month
  }
  if (day < 10) {
      day = '0' + day
  }
  return date.getFullYear() + formateIcon + month + formateIcon + day
}

export function getThisMonthLast (formateIcon) {
  let endDate=new Date();
  let currentMonth=endDate.getMonth();
  let nextMonth=++currentMonth;
  let nextMonthFirstDay=new Date(endDate.getFullYear(),nextMonth,1);
  let oneDay=1000*60*60*24;
  let lastTime = new Date(nextMonthFirstDay-oneDay);
  let endMonth = parseInt(lastTime.getMonth()+1);
  let endDay = lastTime.getDate();
  if (endMonth < 10) {
      endMonth = '0' + endMonth
  }
  if (endDay < 10) {
      endDay = '0' + endDay
  }
  return endDate.getFullYear() + formateIcon + endMonth  + formateIcon + endDay
}